Skip to navigation

Update a tier

View as Markdown
Update a directory tier

Authentication

AuthorizationToken

Your API key, sent as Authorization: Token <your API key>

Path parameters

directoryIdstringRequiredformat: "uuid"
ID of the directory
tierIdstringRequiredformat: "uuid"
ID of the tier to return

Request

This endpoint expects an object.
titlestringOptional1-150 characters
orderintegerOptional>=0
imagestring or nullOptionalformat: "binary"
imageUrlstring or nullOptionalformat: "uri">=1 character

Response

Successful operation
titlestring<=150 characters
idstringformat: "uuid"
entriesCountinteger
entriesListUrlstring
defaultboolean or nullOptional
imagestring or nullOptional
imageUrlstring or nullOptionalformat: "uri"
orderintegerOptional>=0

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error